RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
convert_epars.h File Reference
Energy Parameter Sets and Boltzmann Factors » Reading/Writing Energy Parameter Sets from/to File » Converting Energy Parameter Files

Functions and definitions for energy parameter file format conversion. More...

Go to the source code of this file.

## Macros
#define | VRNA_CONVERT_OUTPUT_ALL 1U
#define | VRNA_CONVERT_OUTPUT_HP 2U
#define | VRNA_CONVERT_OUTPUT_STACK 4U
#define | VRNA_CONVERT_OUTPUT_MM_HP 8U
#define | VRNA_CONVERT_OUTPUT_MM_INT 16U
#define | VRNA_CONVERT_OUTPUT_MM_INT_1N 32U
#define | VRNA_CONVERT_OUTPUT_MM_INT_23 64U
#define | VRNA_CONVERT_OUTPUT_MM_MULTI 128U
#define | VRNA_CONVERT_OUTPUT_MM_EXT 256U
#define | VRNA_CONVERT_OUTPUT_DANGLE5 512U
#define | VRNA_CONVERT_OUTPUT_DANGLE3 1024U
#define | VRNA_CONVERT_OUTPUT_INT_11 2048U
#define | VRNA_CONVERT_OUTPUT_INT_21 4096U
#define | VRNA_CONVERT_OUTPUT_INT_22 8192U
#define | VRNA_CONVERT_OUTPUT_BULGE 16384U
#define | VRNA_CONVERT_OUTPUT_INT 32768U
#define | VRNA_CONVERT_OUTPUT_ML 65536U
#define | VRNA_CONVERT_OUTPUT_MISC 131072U
#define | VRNA_CONVERT_OUTPUT_SPECIAL_HP 262144U
#define | VRNA_CONVERT_OUTPUT_VANILLA 524288U
#define | VRNA_CONVERT_OUTPUT_NINIO 1048576U
#define | VRNA_CONVERT_OUTPUT_DUMP 2097152U

## Functions
void | convert_parameter_file (const char *iname, const char *oname, unsigned int options)

## Detailed Description

Functions and definitions for energy parameter file format conversion.